<?php
defined('_JEXEC') or die('Restricted access');

class pm_erip_light extends PaymentRoot{

	function showPaymentForm($params, $pmconfigs){
		include(dirname(__FILE__)."/paymentform.php");
	}
	//  .   
	function showAdminFormParams($params){
		$array_params = array('EP_MerNo', 'transaction_end_status', 'transaction_pending_status',
				'transaction_failed_status','EP_Expires','web_key');
		foreach ($array_params as $key){
			if (!isset($params[$key])) $params[$key] = '';
		}
		$orders = JModelLegacy::getInstance('orders', 'JshoppingModel');
		include(dirname(__FILE__)."/adminparamsform.php");
	}

	function showEndForm($pmconfigs, $order){
		$jshopConfig   = JSFactory::getConfig();
		$item_name     = sprintf(_JSHOP_PAYMENT_NUMBER, $order->order_number);
		$EP_Expires    = $pmconfigs['EP_Expires'];
		$EP_MerNo      = $pmconfigs['EP_MerNo'];
		$EP_Comment    = $pmconfigs['EP_Comment'];
		$notify_url    = JURI::root()."index.php?option=com_jshopping&controller=checkout&task=step7&act=notify&js_paymentclass=pm_erip_light";
		$return     = JURI::root() ."index.php?option=com_jshopping&controller=checkout&task=step7&act=return&js_paymentclass=pm_erip_light";
		$cancel_return = JURI::root() ."index.php?option=com_jshopping&controller=checkout&task=step7&act=cancel&js_paymentclass=pm_erip_light";
		$ep_sum = $order->order_total;
		$ep_hash = md5($EP_MerNo.$pmconfigs['web_key'].$order->order_number.$ep_sum);

		?>
			<html>
			<head>
			<meta http-equiv="content-type" content="text/html; charset=utf-8" />
			</head>
			<body>
				<form id="paymentform" action="https://ssl.easypay.by/weborder/?EP_Module=joomshopping_3" name="paymentform" method="post">
					<input type='hidden' name='EP_MerNo'       value='<?php print $EP_MerNo?>'>
					<input type='hidden' name='EP_Success_URL' value='<?php print $return?>'>
					<input type='hidden' name='EP_Cancel_URL'  value='<?php print $cancel_return?>'>
					<input type='hidden' name='EP_Hash'        value='<?php print $ep_hash?>'>
					<input type='hidden' name='EP_OrderNo'     value='<?php print $order->order_number?>'>
					<input type='hidden' name='EP_Comment'     value='<?php print $EP_Comment?>'>
					<input type='hidden' name='EP_OrderInfo'   value='<?php print $item_name?>'>
					<input type='hidden' name='EP_Expires'     value='<?php print $EP_Expires?>'>
					<input type='hidden' name='EP_Sum'         value='<?php print $ep_sum?>'>
                    <input type='hidden' name='EP_URL_Type'    value='get'>
					<input type='hidden' name='EP_PayType'     value='PT_ERIP'>
					<input type='hidden' name='EP_Encoding'    value='utf-8'>
				</form>
				<script type="text/javascript">document.getElementById('paymentform').submit();</script>
			</body>
			</html>
<?php
		die();
	}

	function getUrlParams($pmconfigs){
		$params = array();
		$params['order_id'] = JRequest::getString("order_mer_code");
		if ($params['order_id'] == "") $params['order_id'] = JRequest::getString("EP_OrderNo");
		$params['hash']              = "";
		$params['checkHash']         = 0;
		$params['checkReturnParams'] = $pmconfigs['checkdatareturn'];

		return $params;
	}

	function checkTransaction($pmconfigs, $order, $act){

		if(isset($_POST)) {
			$order_id = $_POST["order_mer_code"];
			$sum = $_POST["sum"];
			$mer_no = $_POST["mer_no"];
			$card = $_POST["card"];
			$purch_date = $_POST["purch_date"];
			$notify_signature = $_POST["notify_signature"];
            $web_key = $pmconfigs['web_key'];
			$sig = md5($order_id . $sum . $mer_no . $card . $purch_date . $web_key);

			//  
			if($sig == $notify_signature) {
				header("HTTP/1.0 200 OK");
				print $status = 'OK | the notice is processed';
				return array(1, $order_id);
			} else {
				header("HTTP/1.0 400 Bad Request");
				print $status = 'FAILED | incorrect digital signature';
				return array(0,'');
			}
		}
	}
	
	function complete($pmconfigs, $order, $payment){
		$str = "<h3 style='color:#0000ff;'>      .</h3>
		<h3 style='color:#0000ff;'>   : $order->order_number</h3>";
	print  mb_convert_encoding($str, "utf-8", "windows-1251");
 }


}
?>